// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_katooine2/kat2_katsky1
{
	qer_editorimage env/ut4_katooine2/box374_ft.tga
	
	skyparms env/ut4_katooine2/box374 128 -
	
	q3map_sunEXT 1 1 1 200 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 310 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
	
}

// ---=== No Damage ===---

textures/ut4_katooine2/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

textures/ut4_katooine2/kw_sand1:q3map
{
	surfaceparm nodamage
}


// ---=== Liquids ===---
// ---=== SLIME!!! ===---

textures/ut4_katooine2/kat2_slime
{
	qer_editorimage textures/ut4_katooine2/liquids/slime_grn.tga
	q3map_lightimage textures/ut4_katooine2/liquids/slime_grn.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 300
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/ut4_katooine2/liquids/slime_grn.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll -0.1 0.01
	}
	{
		map textures/ut4_katooine2/liquids/slime_grnc.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.1 0.01
	}
	{
		map textures/ut4_katooine2/liquids/slime_grn.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.08 0.01
	}	
}

textures/ut4_katooine2/kat2_oozgreen
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_katooine2/ooze_green.tga
	q3map_surfacelight 300

	{
		map textures/ut4_katooine2/ooze_green.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_katooine2/ooze_green_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_katooine2/ooze_green.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_katooine2/ooze_green.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_katooine2/kat2_slimecaulk
{
qer_editorimage textures/ut4_katooine2/liquids/slimecaulk.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}

// ---=== glass ===---

textures/ut4_katooine2/kat2_glass
{
	qer_editorimage textures/kittywumpus/kw_glass_plain.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_katooine2/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== Evil shaders ===---



textures/ut4_katooine2/e8bgrate01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull disable
	{
		map textures/ut4_katooine2/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

// ---=== Lighting ===---

textures/ut4_katooine2/e6tinylight
{
	qer_editorimage textures/ut4_katooine2/e6tinylight.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine2/e6tinylight.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_katooine2/e6tinylight_blend.tga
		blendfunc add
	}
}

textures/ut4_katooine2/e8minitrimlight
{
	qer_editorimage textures/ut4_katooine2/e8minitrimlight.tga
	q3map_lightimage textures/ut4_katooine2/e8minitrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/ut4_katooine2/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_katooine2/e8minitrimlight.blend.tga
		blendfunc add
	}
}

textures/ut4_katooine2/e6basicstrip_blue
{
	qer_editorimage textures/ut4_katooine2/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine2/e6basicstrip_blue.tga
	}
}

textures/ut4_katooine2/e6basicstrip_green
{
	qer_editorimage textures/ut4_katooine2/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine2/e6basicstrip_green.tga
	}
}

textures/ut4_katooine2/e6basicstrip_orange
{
	qer_editorimage textures/ut4_katooine2/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine2/e6basicstrip_orange.tga
	}
}

textures/ut4_katooine2/e6basicstrip_red
{
	qer_editorimage textures/ut4_katooine2/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine2/e6basicstrip_red.tga
	}
}

textures/ut4_katooine2/e6basicstrip_white
{
	qer_editorimage textures/ut4_katooine2/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine2/e6basicstrip_white.tga
	}
}

textures/ut4_katooine2/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_katooine2/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine2/e6basicstrip_yellow.tga
	}
}

// ---=== Ladder ===---

textures/ut4_katooine2/kat2_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

// ---=== Clouds/Fog ===---


textures/ut4_katooine2/kat2_cloud1

{
	qer_editorimage textures/ut4_katooine2/kw_clouds2.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 3 0 .5

	{
		map textures/ut4_katooine2/kw_clouds2.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 3 2
		tcMod scroll 0.025 -0.0325
	}

}

// ---=== non-solids ===---

textures/ut4_katooine2/kat2_cement1_ns

{
	qer_editorimage textures/ut4_katooine2/pr_concrete034.jpg
	qer_trans 0.9
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm trans

	{
		map textures/ut4_katooine2/pr_concrete034.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

textures/ut4_katooine2/kat2_fade_blue1
{
	qer_editorimage textures/ut4_katooine2/kw_fade_blue.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 300

	{
		map textures/ut4_katooine2/kw_fade_blue.tga
		blendFunc GL_ONE GL_ONE

        }
}

textures/ut4_katooine2/kat2_fade_green1
{
	qer_editorimage textures/ut4_katooine2/kw_fade_green.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 300

	{
		map textures/ut4_katooine2/kw_fade_green.tga
		blendFunc GL_ONE GL_ONE

        }
}

textures/ut4_katooine2/kat2_fade_red1
{
	qer_editorimage textures/ut4_katooine2/kw_fade_red.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 300

	{
		map textures/ut4_katooine2/kw_fade_red.tga
		blendFunc GL_ONE GL_ONE

        }
}

textures/ut4_katooine2/kat2_metal1_ns

{
	qer_editorimage textures/ut4_katooine2/pr_metal067.jpg
	qer_trans 0.9
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm trans

	{
		map textures/ut4_katooine2/pr_metal067.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

textures/ut4_katooine2/kat2_socbeam1_ns

{
	qer_editorimage textures/ut4_katooine2/soc_032-10a.tga
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm trans

	{
		map textures/ut4_katooine2/soc_032-10a.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

// ---=== Holopanels ===---

textures/ut4_katooine2/kat2_holop1_b
{
	qer_editorimage textures/ut4_katooine2/holopanel1/holopanel_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_katooine2/holopanel1/holopanel_b1.jpg textures/ut4_katooine2/holopanel1/holopanel_b1.jpg textures/ut4_katooine2/holopanel1/holopanel_b1.jpg textures/ut4_katooine2/holopanel1/holopanel_b2.jpg textures/ut4_katooine2/holopanel1/holopanel_b1.jpg textures/ut4_katooine2/holopanel1/holopanel_b3.jpg textures/ut4_katooine2/holopanel1/holopanel_b1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine2/kat2_holop1_r
{
	qer_editorimage textures/ut4_katooine2/holopanel1/holopanel_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_katooine2/holopanel1/holopanel_r1.jpg textures/ut4_katooine2/holopanel1/holopanel_r1.jpg textures/ut4_katooine2/holopanel1/holopanel_r1.jpg textures/ut4_katooine2/holopanel1/holopanel_r2.jpg textures/ut4_katooine2/holopanel1/holopanel_r1.jpg textures/ut4_katooine2/holopanel1/holopanel_r3.jpg textures/ut4_katooine2/holopanel1/holopanel_r1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine2/kat2_bswitch1_b
{
	qer_editorimage textures/ut4_katooine2/kat2_bridgepanel_b
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_katooine2/kat2_bridgepanel_b.jpg textures/ut4_katooine2/kat2_bridgepanel_b.jpg textures/ut4_katooine2/kat2_bridgepanel_b.jpg 
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine2/kat2_bswitch1_r
{
	qer_editorimage textures/ut4_katooine2/kat2_bridgepanel_r
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_katooine2/kat2_bridgepanel_r.jpg textures/ut4_katooine2/kat2_bridgepanel_r.jpg textures/ut4_katooine2/kat2_bridgepanel_r.jpg 
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine2/kat2_hologo_b
{
	qer_editorimage textures/ut4_katooine2/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_katooine2/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_katooine2/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_katooine2/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_katooine2/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_katooine2/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_katooine2/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_katooine2/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine2/kat2_hologo_r
{
	qer_editorimage textures/ut4_katooine2/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_katooine2/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_katooine2/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_katooine2/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_katooine2/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_katooine2/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_katooine2/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_katooine2/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine2/kat2_paw_b
{
	qer_editorimage textures/ut4_katooine2/katprint_b
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_katooine2/katprint_b.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine2/kat2_paw_r
{
	qer_editorimage textures/ut4_katooine2/katprint_r
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_katooine2/katprint_r.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Teleorbs ===---

textures/ut4_katooine2/kat2_teleborb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_katooine2/soc_blue_telep.jpg
	qer_trans 0.4

	cull none

	{
		map textures/ut4_katooine2/soc_blue_telep.jpg
		tcmod rotate 360
		tcmod stretch sin 1 .1 0 .1
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine2/kat2_telerorb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_katooine2/soc_red_telep.jpg
	qer_trans 0.4

	cull none

	{
		map textures/ut4_katooine2/soc_red_telep.jpg
		tcmod rotate 360
		tcmod stretch sin 1 .1 0 .1
		blendFunc GL_ONE GL_ONE
	}
}

//soc textures

//**********************************************************************//
// LIGHT 064 - 03 : Double big lights	 				//
//**********************************************************************//
textures/ut4_katooine2/kat2_lig_064b2k
{
	qer_editorimage textures/ut4_katooine2/soc_064lig22ba.tga
	q3map_lightimage textures/ut4_katooine2/soc_064lig22b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine2/soc_064lig22ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine2/soc_064lig22b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine2/kat2_lig_064r2k
{
	qer_editorimage textures/ut4_katooine2/soc_064lig22ra.tga
	q3map_lightimage textures/ut4_katooine2/soc_064lig22r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine2/soc_064lig22ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine2/soc_064lig22r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine2/kat2_lig_064y2k
{
	qer_editorimage textures/ut4_katooine2/soc_064lig22ya.tga
	q3map_lightimage textures/ut4_katooine2/soc_064lig22y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine2/soc_064lig22ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine2/soc_064lig22y.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine2/kat2_lig_ropB2k
{
	qer_editorimage textures/ut4_katooine2/soc_064lig30ba.tga
	q3map_lightimage textures/ut4_katooine2/soc_064lig30b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine2/soc_064lig30ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine2/soc_064lig30b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine2/kat2_lig_ropR2k
{
	qer_editorimage textures/ut4_katooine2/soc_064lig30ra.tga
	q3map_lightimage textures/ut4_katooine2/soc_064lig30r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine2/soc_064lig30ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine2/soc_064lig30r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine2/kat2_lig_ropY2k
{
	qer_editorimage textures/ut4_katooine2/soc_064lig30ya.tga
	q3map_lightimage textures/ut4_katooine2/soc_064lig30y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine2/soc_064lig30ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine2/soc_064lig30y.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

// ===--- non-solid tunnel lights ===---

textures/ut4_katooine2/kat2_lig_128y2k
{
	qer_editorimage textures/ut4_katooine2/soc_sqrlig02yc.tga
	q3map_lightimage textures/ut4_katooine2/soc_sqrlig02y2.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm detail

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_katooine2/soc_sqrlig02yc.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine2/soc_sqrlig02y2.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ut4_katooine2/kat2_jpblue
{
	qer_editorimage textures/ut4_katooine2/soc_jp01c.tga
	q3map_lightimage textures/ut4_katooine2/soc_jumppadsmall_b.tga	
	q3map_surfacelight 800
	{
		map textures/ut4_katooine2/soc_blue_telep.tga
                tcmod rotate 180
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_katooine2/soc_jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_katooine2/soc_jp01c.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_katooine2/kat2_jpred
{
	qer_editorimage textures/ut4_katooine2/soc_jp01c.tga
	q3map_lightimage textures/ut4_katooine2/soc_jumppadsmall_r.tga	
	q3map_surfacelight 800
	{
		map textures/ut4_katooine2/soc_red_telep.tga
                tcmod rotate 180
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_katooine2/soc_jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_katooine2/soc_jp01c.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ---=== MODEL SHADERS ===---

models/mapobjects/ut4_katooine2/el_wlight/el_wlight.tga  
{ 
	q3map_surfacelight 500  

	{ 
		map models/mapobjects/ut4_katooine2/el_wlight/el_wlight.tga  
	} 
	{ 
		map $lightmap   
		blendfunc filter  
	}  
	{
		map models/mapobjects/ut4_katooine2/el_wlight/el_wlight_blend.tga   
		blendFunc add  
		rgbGen wave sin .5 .5 0 1   
	}  
}  

models/mapobjects/ut4_katooine2/el_gen/el_gen     
{        
        {     
		map models/mapobjects/ut4_katooine2/el_gen/el_gen.tga     
		rgbGen identity     
	}     
      
        {     
                map models/mapobjects/ut4_katooine2/el_gen/el_gen_fx.tga     
                blendFunc add     
                tcmod scroll 0 .4       
                rgbGen identity     
	} 
        {     
                map models/mapobjects/ut4_katooine2/el_gen/el_gen_fx2.tga     
                blendFunc add     
                tcmod scroll 0 -.3      
                rgbGen identity  
	}                     
        {     
		map models/mapobjects/ut4_katooine2/el_gen/el_gen.tga     
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA     
		rgbGen lightingDiffuse     
	}     
}